Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003451Doomseeker[All Projects] Bugpublic2018-08-20 20:112018-10-27 22:55
ReporterWubTheCaptain 
Assigned ToZalewa 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.1Fixed in Version1.2 
Summary0003451: Binary forms aren't reproducing Eeli Reilin's JSON library 2-clause BSD license properly (second clause)
DescriptionBefore Eeli Reilin relicensed qt-json under GPLv3 in 2013, it was licensed under a 2-clause BSD license:https://github.com/qt-json/qt-json/tree/aa0930a6b0b97358ddb35567dc420e4d44adf92a [^]

As far as I'm aware, Doomseeker uses an older 2-clause BSD licensed version of the library (2011).

Doomseeker 1.1 and 1.2~beta-180816-2126M display the following notice in "About" dialog, found behind "Help" navigation:

Quote
JSON library on BSD License (c) Eeli Reilin 2011 :
https://github.com/ereilin/qt-json [^]


One of the 2-clause BSD license conditions is:

Quote from "LICENSE"
   2. Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation 
      and/or other materials provided with the distribution.


Doomseeker currently does not list the two conditions or the warranty disclaimer that follows in the license. Doomseeker only appears to reproduce the copyright notice (in a non-standard way, without the technically-reduntant "All rights reserved" blurb).
Steps To Reproducesrc/core/gui/aboutdialog.ui and all relevant translations.
Additional InformationNo apparent issues with the source distribution clause. The following source files have the appropriate comments:

  • src/wadseeker/protocols/json.cpp
  • src/wadseeker/protocols/json.h
  • src/core/json.cpp
  • src/core/json.h
  • LICENSE.json
Attached Fileslog file icon ftbfs-make-j8-52023f4004af52ad70d68a0642019bc30e9e69e2.log [^] (15,289 bytes) 2018-08-27 00:54

- Relationships
child of 0003237closedWubTheCaptain Non-free files and copyright issues in source archive 

-  Notes
User avatar (0019348)
WubTheCaptain (developer)
2018-08-20 20:20

Downgraded severity to major, because source distribution is still legal while this remains a major hassle for binary distributors to patch/workaround.
User avatar (0019349)
WubTheCaptain (developer)
2018-08-20 20:22

Retitled, also affects Wadseeker.
User avatar (0019350)
WubTheCaptain (developer)
2018-08-20 20:26

https://github.com/ereilin/qt-json [^] redirects tohttps://github.com/qt-json/qt-json [^] these days.
User avatar (0019375)
Zalewa (developer)
2018-08-21 15:19

https://bitbucket.org/Doomseeker/doomseeker/commits/8fe57802269449a5932ff418807330160c9dd222 [^]
User avatar (0019388)
WubTheCaptain (developer)
2018-08-24 00:05

I think we should change the about dialog text, just to be safe. Either:

  1. Copy the whole copyright notice, license and disclaimer (2-clause BSD license) into the about dialog, as is done with other software components (such as GeoLite2 and icons); or
  2. Instruct where the license text can be found locally, if installed; or
  3. both.


I prefer option #1, as it's the most unambiguous and cross-platform and does not require internet access to view the license (the Git repository). It also avoids any mistake that may occur when redistributing a binary built from source, which was not installed by the person who compiled the program (neverminding any possible issues with LGPLv2.1+ compliance).

On unrelated note as for what comes to 0003246, the full license should also be in a Debian package's copyright file with .deb distributions. Doomseeker does not need to care, I think. It's a packager's problem to notice to do this, mainly.

Let me know.
User avatar (0019389)
WubTheCaptain (developer)
2018-08-24 00:07

As for commit 8fe57802269449a5932ff418807330160c9dd222, that is also a very welcome addition and I couldn't think it was missing before.
User avatar (0019404)
Zalewa (developer)
2018-08-26 10:01

License exposing button added to the About dialog in:https://bitbucket.org/Doomseeker/doomseeker/commits/52023f4004af52ad70d68a0642019bc30e9e69e2 [^]
User avatar (0019417)
WubTheCaptain (developer)
2018-08-27 00:54

Quote from Zalewa
License exposing button added


FTBFS on Debian GNU/Linux (buster/sid), attached as ftbfs-make-j8-52023f4004af52ad70d68a0642019bc30e9e69e2.log.
User avatar (0019429)
Zalewa (developer)
2018-08-27 07:10

Maybe now it will be better:https://bitbucket.org/Doomseeker/doomseeker/commits/da1142e78570d9680c324c2b44d588b0a3d431b4 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-08-20 20:11 WubTheCaptain New Issue
2018-08-20 20:13 WubTheCaptain Description Updated View Revisions
2018-08-20 20:13 WubTheCaptain Relationship added child of 0003237
2018-08-20 20:14 WubTheCaptain Target Version 1.2 => 1.1
2018-08-20 20:14 WubTheCaptain Description Updated View Revisions
2018-08-20 20:15 WubTheCaptain Description Updated View Revisions
2018-08-20 20:19 WubTheCaptain Severity block => major
2018-08-20 20:20 WubTheCaptain Note Added: 0019348
2018-08-20 20:22 WubTheCaptain Summary Doomseeker's binary form doesn't reproduce Eeli Reilin's JSON library 2-clause BSD license conditions properly => Distributions of binary forms don't reproduce Eeli Reilin's JSON library 2-clause BSD license conditions properly
2018-08-20 20:22 WubTheCaptain Note Added: 0019349
2018-08-20 20:24 WubTheCaptain Summary Distributions of binary forms don't reproduce Eeli Reilin's JSON library 2-clause BSD license conditions properly => Distributions of binary forms aren't reproducing the second clause of Eeli Reilin's JSON library 2-clause BSD license properly
2018-08-20 20:25 WubTheCaptain Summary Distributions of binary forms aren't reproducing the second clause of Eeli Reilin's JSON library 2-clause BSD license properly => Binary forms aren't reproducing the second clause of Eeli Reilin's JSON library 2-clause BSD license properly
2018-08-20 20:26 WubTheCaptain Note Added: 0019350
2018-08-20 20:27 WubTheCaptain Summary Binary forms aren't reproducing the second clause of Eeli Reilin's JSON library 2-clause BSD license properly => Binary forms aren't reproducing Eeli Reilin's JSON library 2-clause BSD license properly (second clause)
2018-08-20 20:36 WubTheCaptain Priority high => urgent
2018-08-21 15:19 Zalewa Note Added: 0019375
2018-08-21 15:19 Zalewa Assigned To => Zalewa
2018-08-21 15:19 Zalewa Status new => needs review
2018-08-24 00:05 WubTheCaptain Note Added: 0019388
2018-08-24 00:05 WubTheCaptain Status needs review => assigned
2018-08-24 00:07 WubTheCaptain Note Added: 0019389
2018-08-26 10:01 Zalewa Note Added: 0019404
2018-08-26 10:01 Zalewa Status assigned => needs testing
2018-08-27 00:54 WubTheCaptain Note Added: 0019417
2018-08-27 00:54 WubTheCaptain Status needs testing => assigned
2018-08-27 00:54 WubTheCaptain File Added: ftbfs-make-j8-52023f4004af52ad70d68a0642019bc30e9e69e2.log
2018-08-27 07:10 Zalewa Note Added: 0019429
2018-08-27 07:10 Zalewa Status assigned => needs testing
2018-08-28 03:33 WubTheCaptain Status needs testing => resolved
2018-08-28 03:33 WubTheCaptain Fixed in Version => 1.2
2018-08-28 03:33 WubTheCaptain Resolution open => fixed
2018-10-27 22:55 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker